> For the complete documentation index, see [llms.txt](https://docs.deltastream.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.deltastream.io/reference/sql-syntax/command/describe-store.md).

# DESCRIBE STORE

## Syntax

```sql
DESCRIBE STORE store_name;
```

## Description

This provides the definition of an existing [Store](/overview/core-concepts/store.md).

Stores are listed only if the current role has USAGE privileges.

### Arguments <a href="#parameters" id="parameters"></a>

#### store\_name

This is the name of the store to describe. If the name is case-sensitive, you must wrap it in double quotes; otherwise, the system uses the lowercase name.

## Examples

#### Describe a store

The following describes the store named `demostore`:

```sh
demodb.public/demostore# DESCRIBE STORE demostore;
+-------------+------------------------------------------+----------+--------------+------------------+------------------+
|  Properties |  Uri                                     |  Details |  Tls Enabled |  Verify Hostname |  Schema Registry |
+=============+==========================================+==========+==============+==================+==================+
| {}          | b-1.kafka:9196,b-2.kafka:9196,b-3.kafka: | {}       | true         | true             | <null>           |
|             | 9196                                     |          |              |                  |                  |
+-------------+------------------------------------------+----------+--------------+------------------+------------------+
```

#### Describe a case-sensitive store

The following describes the store named `MyStore`:

```sh
demodb.public/demostore# DESCRIBE STORE "MyStore";
+-------------+------------------------------------------+----------+--------------+------------------+------------------+
|  Properties |  Uri                                     |  Details |  Tls Enabled |  Verify Hostname |  Schema Registry |
+=============+==========================================+==========+==============+==================+==================+
| {}          | b-1.kafka:9196,b-2.kafka:9196,b-3.kafka: | {}       | true         | false            | <null>           |
|             | 9196                                     |          |              |                  |                  |
+-------------+------------------------------------------+----------+--------------+------------------+------------------+
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/describe-store.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
